FAXQ(8)

NAME
faxq - HylaFAX queue manager process

SYNOPSIS
/usr/sbin/faxq [ -D ] [ -q queue-dir ]

DESCRIPTION
faxq is the central queueing agent for HylaFAX. One (and only one) faxq process is normally running at all times. faxq is responsible for scheduling, preparing, and initiating outbound facsimile jobs (and potentially other types of jobs as well).

faxq may be run by itself to provide outbound-only services or it may be run together with one or more faxgetty(8) processes, in which case inbound services (e.g. receiving facsimile) are provided. When faxq is run by itself the set of available modems must be specified using the faxmodem(8) command. Each modem specified in this way is assumed to exist and to be capable of use as a facsimile modem. When faxq is run in conjunction with faxgetty processes, it is not necessary to use faxmodem to specify modems; instead the programs communicate information about the status and capabilities of each modem. The latter setup provides a more robust and powerful system and is the intended way for the software to operate.

faxq receives notification of outbound jobs to process from the hfaxd(8) process that implements the server-side of the HylaFAX client-server protocol. Notification is through messages sent to a FIFO special file that faxq listens to. This file is also used by other administrative programs such as faxquit(8).

Many aspects of faxq operation may be controlled through a configuration file. This file is located in the spooler hierarchy in the etc subdirectory and is named config (as opposed to the per-modem configuration files named config.devid); consult hylafax-config(5) for detailed information on this configuration file. Note that faxq automatically re-reads its configuration file if it has been changed. It is also possible to dynamically change configuration parameters in a running process with the faxconfig(8) program. Beware however that parameters changed in this way will be reset to the values specified in the configuration file if the file is re-read.

OPTIONS

-q dir
    The specified directory is treated as the spooling area. The default spooling area, /var/spool/hylafax, is defined at the time the software is built.

-D  This option forces faxq to remain attached to the controlling tty from which it was invoked. In normal operation faxq will fork(2) and disassociate itself from the controlling tty. This option is useful for debugging.

FILES
/var/spool/hylafax/FIFO	FIFO special file for submitting commands
/var/spool/hylafax/etc/config	configuration file

Consult hylafax-server(5) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
faxabort(8), faxconfig(8), faxmodem(8), faxquit(8), faxstate(8), getty(8), hylafax-server(5), hylafax-config(5).